
public class Board {
	View<APeg> away;
	View<HPeg> home;
	boolean isOurTurn;
	Board(View<APeg> away, View<HPeg> home, boolean isOurTurn) {
		this.away = away;
		this.home = home;
		this.isOurTurn = isOurTurn;
	}
	
	IResponse opponentHits(int row, int col) {
		return this.home.a[row][col].opponentHits(this.home, row, col);
	}
	
	Board opponentUpdate(int row, int col) {
		HPeg[][] a2 = new HPeg[home.a.length][home.a[0].length];
		for (int r = 0; r < home.a.length; r++)
			for (int c = 0; c < home.a[r].length; c++)
				if (r == row && c == col)
					a2[r][c] = home.a[r][c].opponentUpdate();
				else	
					a2[r	][c] = home.a[r][c];
		
		return new Board(away, new View<HPeg>(a2), isOurTurn);
	}
}
